Subject: Re: [PATCH 2/3] combine-diff: suppress a clang warning

From: Miles Bader <[email-masked]>
Date: Thu, 07 Feb 2013 13:12:59 +0900

John Keeping <[email-masked]> writes:
> I generally like to get rid of the pointless warnings so that the useful
> ones can't hide in the noise.  Perhaps "CFLAGS += -Wno-string-plus-int"
> would be better for this particular warning, but when there's only one
> bit of code that triggers it, tweaking that seemed simpler.

An even better approach would be to file a bug against clang ... it
really is a very ill-considered warning -- PTR + OFFS is not just
valid C, it's _idiomatic_ in C for getting interior pointers into
arrays -- and such a warning should never be enabled by default, or by
any standard warning options.

-miles 

-- 
永日の　澄んだ紺から　永遠へ